
#include <libsaria/libsaria.h>
#include <libsaria/audio.h>

/*
 * Implementations of functions defined in the libsaria class
 */

void Libsaria::play()
{
	if(audio.play())
		trigger_callback(PLAY);
}

void Libsaria::pause()
{
	if(audio.pause())
		trigger_callback(PAUSE);
}

void Libsaria::stop()
{
	pause();
	seek_to(0);
}

/*
 * Convenience functions for accessing libsaria class functions
 */

void libsaria_play()
{
	libsaria_get()->play();
}

void libsaria_pause()
{
	libsaria_get()->pause();
}

void libsaria_stop()
{
	libsaria_get()->stop();
}
